Bug 1564728 - [abrt] gnome-terminal: type_check_is_value_type_U(): gnome-terminal-server killed by SIGSEGV
Summary: [abrt] gnome-terminal: type_check_is_value_type_U(): gnome-terminal-server ki...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71db996eaab87f6af87dddce7f2...
: 1609555 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 06:06 UTC by Vadim
Modified: 2019-05-28 21:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:59:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.54 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: cgroup (399 bytes, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: core_backtrace (13.31 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: cpuinfo (871 bytes, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: dso_list (7.44 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: environ (1.57 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: maps (35.63 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: mountinfo (3.80 KB, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: open_fds (890 bytes, text/plain)
2018-04-07 06:06 UTC, Vadim
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-07 06:07 UTC, Vadim
no flags Details

Description Vadim 2018-04-07 06:06:31 UTC
Description of problem:
After wayland killed and my notebook rebooting, my gnome-terminal killed too. Gnome-terminal in local autoload set.

Version-Release number of selected component:
gnome-terminal-3.27.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=40ddfe6a2ac24f0b871415166cac20e9;i=30fa8;b=0c706414e0de4224a1255ad8eb72a004;m=c924e486;t=5693bce977080;x=7f3528d6aaa9ca73
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4175
 #1 g_type_check_value at gtype.c:4198
 #2 parse_border at gtkcssshorthandpropertyimpl.c:399
 #3 gtk_css_shorthand_property_parse_value at gtkcssshorthandproperty.c:133
 #4 parse_declaration at gtkcssprovider.c:1473
 #5 parse_declarations at gtkcssprovider.c:1583
 #6 parse_ruleset at gtkcssprovider.c:1615
 #7 parse_statement at gtkcssprovider.c:1644
 #8 parse_stylesheet at gtkcssprovider.c:1660
 #9 gtk_css_provider_load_internal at gtkcssprovider.c:1787

Comment 1 Vadim 2018-04-07 06:06:39 UTC
Created attachment 1418482 [details]
File: backtrace

Comment 2 Vadim 2018-04-07 06:06:40 UTC
Created attachment 1418483 [details]
File: cgroup

Comment 3 Vadim 2018-04-07 06:06:43 UTC
Created attachment 1418484 [details]
File: core_backtrace

Comment 4 Vadim 2018-04-07 06:06:44 UTC
Created attachment 1418485 [details]
File: cpuinfo

Comment 5 Vadim 2018-04-07 06:06:46 UTC
Created attachment 1418486 [details]
File: dso_list

Comment 6 Vadim 2018-04-07 06:06:48 UTC
Created attachment 1418487 [details]
File: environ

Comment 7 Vadim 2018-04-07 06:06:50 UTC
Created attachment 1418488 [details]
File: exploitable

Comment 8 Vadim 2018-04-07 06:06:51 UTC
Created attachment 1418489 [details]
File: limits

Comment 9 Vadim 2018-04-07 06:06:54 UTC
Created attachment 1418490 [details]
File: maps

Comment 10 Vadim 2018-04-07 06:06:56 UTC
Created attachment 1418491 [details]
File: mountinfo

Comment 11 Vadim 2018-04-07 06:06:58 UTC
Created attachment 1418492 [details]
File: open_fds

Comment 12 Vadim 2018-04-07 06:07:00 UTC
Created attachment 1418493 [details]
File: proc_pid_status

Comment 13 Christian Persch 2018-04-07 08:39:25 UTC
This should be reassigned to gtk3; it's not a gnome-terminal bug.

Comment 14 Kalyan Sundhar 2018-05-07 17:05:33 UTC
Similar problem has been detected:

Fedora 28 installed in USB 3.0 pendrive of size 256GB.
Boot Fedora 28.
Login to Gnome session.
Getting the error.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=cce6b949e57345f4ac86b7f6cf8b93d1;i=e1d4;b=fbbb9239df134efcac24f79f0b167513;m=1547c031;t=56ba07586a2b9;x=1267e28986d1b62e
kernel:         4.16.6-302.fc28.x86_64
package:        gnome-terminal-3.28.1-1.fc28
reason:         gnome-terminal-server killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Shecks 2018-07-29 11:54:47 UTC
*** Bug 1609555 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2019-05-02 21:14:44 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-05-28 21:59:04 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.